Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.store
Class StoreClassVersionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.tools.resources.store.StoreClassVersionException

public class StoreClassVersionException
extends java.lang.Exception

This is exception gets thrown if an invalid resource store is detected.

See Also:
  Serialized Form

Constructor Summary
`StoreClassVersionException(int loader, int saver)`

Method Summary
`int` | `getLoaderClassVersion()` Get the loader's class version.
`int` | `getSaverClassVersion()` Get the saver's class version.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoreClassVersionException

    public StoreClassVersionException(int loader,
                                      int saver)

Method Detail

### getLoaderClassVersion

    public int getLoaderClassVersion()

  Get the loader's class version.
  Returns:
    An integer version number.

### getSaverClassVersion

    public int getSaverClassVersion()

  Get the saver's class version.
  Returns:
    An integer version number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD